import React from 'react';
import { CalendarProps as BaseCalendarProps } from 'react-big-calendar';
import 'react-big-calendar/lib/css/react-big-calendar.css';
import './Calendar.css';
export interface CalendarProps extends Omit<BaseCalendarProps, 'localizer'> {
    /**
     * <@default=`false`>
     */
    isSelectable?: boolean;
    /**
     * <@default=`en-US`>
     */
    locale?: 'en-US' | 'zh-CN';
}
export declare const Calendar: React.NamedExoticComponent<CalendarProps>;
