import React, { ChangeEvent } from 'react';
import './Checkbox.css';
export interface CheckboxProps {
    /**
     * <@default=`false`>
     */
    isChecked?: boolean;
    /**
     * <@default=`false`>
     */
    isBorderRounded?: boolean;
    label?: string;
    /**
     * If provided, clicking label will have the same effect as clicking checkbox
     */
    id?: string;
    className?: string;
    size?: 'small' | 'medium' | 'large';
    onChange?: (e: ChangeEvent<HTMLInputElement>) => void;
}
export declare const Checkbox: React.NamedExoticComponent<CheckboxProps>;
