import React from 'react';
import 'codemirror/mode/markdown/markdown';
import 'codemirror/mode/javascript/javascript';
import 'codemirror/mode/jsx/jsx';
import 'codemirror/mode/css/css';
import 'codemirror/addon/edit/matchbrackets';
import 'codemirror/addon/edit/closetag';
import 'codemirror/addon/fold/xml-fold';
import 'codemirror/lib/codemirror.css';
import 'codemirror/theme/monokai.css';
import './CodeEditor.css';
export interface CodeEditorProps {
    /**
     * <@default=`false`>
     */
    isReadonly?: boolean;
    className?: string;
    /**
     * <@default=`jsx`>
     */
    language?: string;
    value: string;
    onChange: (newValue: string) => void;
}
export declare const CodeEditor: React.NamedExoticComponent<CodeEditorProps>;
