import React from 'react';
import './CodeInput.css';
export interface CodeInputProps {
    /**
     * <@default=`6`>
     */
    totalFields?: number;
    value?: string;
    name: string;
    className?: string;
    /**
     * <@default=`text`>
     */
    type?: 'text' | 'number' | 'password';
    /**
     * <@default=`numeric`>
     */
    inputMode?: 'verbatim' | 'latin' | 'latin-name' | 'latin-prose' | 'full-width-latin' | 'kana' | 'kana-name' | 'katakana' | 'numeric' | 'tel' | 'email' | 'url';
    onChange?: (newValue: string) => void;
}
export declare const CodeInput: React.NamedExoticComponent<CodeInputProps>;
