import React from 'react';
import { ChromePickerProps, Color } from 'react-color';
import { PopperProps } from '../Popper';
import './ColorPicker.css';
export interface ColorPickerProps extends ChromePickerProps {
    /**
     * <@default=`false`>
     */
    isTriggerShown?: boolean;
    /**
     * <@default=`'#000000'`>
     */
    color?: Color;
    popperProps?: PopperProps;
}
export declare const ColorPicker: React.NamedExoticComponent<ColorPickerProps>;
