import React, { CSSProperties } from 'react';
export interface CounterProps {
    /**
     * <@default=`false`>
     *
     * If enabled, Counter will reset and re-animate on visibility change
     */
    isResetEnabled?: boolean;
    start?: number;
    end: number;
    delay?: number;
    duration?: number;
    separator?: string;
    prefix?: string;
    suffix?: string;
    className?: string;
    style?: CSSProperties;
}
export declare const Counter: React.NamedExoticComponent<CounterProps>;
