import React, { ReactElement, ReactNode } from 'react';
import { PopperProps } from '../Popper';
import './FloatingActionButton.css';
export interface Action {
    icon: ReactNode;
    desc: string;
    onClick?: () => void;
}
export interface FloatingActionButtonProps {
    offset?: number;
    className?: string;
    popperProps?: Omit<PopperProps, 'overlay'>;
    icon?: ReactElement;
    size?: 'small' | 'medium' | 'large';
    actions: Action[];
}
export declare const FloatingActionButton: React.NamedExoticComponent<FloatingActionButtonProps>;
