import React, { ReactNode } from 'react';
import './GridList.css';
export interface GridListProps {
    /**
     * <@default=`5`>
     */
    gap?: number;
    /**
     * <@default=`'ul'`>
     */
    element?: string;
    /**
     * <@default=`'li'`>
     */
    itemElement?: string;
    className?: string;
    children?: ReactNode;
    /**
     * <@default=`200`>
     */
    columnWidth?: string | number;
}
export declare const GridList: React.NamedExoticComponent<GridListProps>;
