import React, { CSSProperties, ReactNode } from 'react';
import 'react-responsive-carousel/lib/styles/carousel.min.css';
import './ImageCarousel.css';
export interface ImageCarouselSlide {
    src: string;
    caption?: ReactNode;
}
export interface ImageCarouselProps {
    /**
     * <@default=`true`>
     */
    isAutoPlay?: boolean;
    /**
     * <@default=`true`>
     */
    isInfiniteLoop?: boolean;
    /**
     * <@default=`500`>
     */
    height?: number;
    /**
     * <@default=`0`>
     */
    imageBlur?: number;
    className?: string;
    imageMaskStyle?: CSSProperties | null;
    slides: ImageCarouselSlide[];
}
export declare const ImageCarousel: React.NamedExoticComponent<ImageCarouselProps>;
