import React from 'react';
import './LikeButton.css';
export interface LikeButtonProps {
    /**
     * <@default=`false`>
     */
    isLiked?: boolean;
    className?: string;
    /**
     * <@default=`medium`>
     */
    size?: 'small' | 'medium' | 'large';
    variant?: 'heart' | 'thumbs-up';
    onClick?: () => void;
}
export declare const LikeButton: React.NamedExoticComponent<LikeButtonProps>;
