/// <reference types="react" />
import './Loader.css';
export interface LoaderProps {
    /**
     * <@default=`false`>
     */
    isCentered?: boolean;
    /**
     * <@default=`'#131518'`>
     */
    color?: string;
    className?: string;
    /**
     * <@default=`'medium'`>
     */
    size?: 'small' | 'medium' | 'large';
    children?: (props: {
        color: string;
        className: string;
    }) => JSX.Element;
}
export declare const Loader: import("react").NamedExoticComponent<LoaderProps>;
