import React from 'react';
export interface RatingProps {
    /**
     * <@default=`false`>
     */
    isReadonly?: boolean;
    /**
     * <@default=`1`>
     */
    fraction?: number;
    /**
     * <@default=`30`>
     *
     * Width of each symbol
     */
    width?: number;
    value?: number;
    /**
     * <@default=`'#ffec40'`>
     *
     * Color of each symbol
     */
    color?: string;
    className?: string;
    /**
     * <@default=`'star'`>
     */
    variant?: 'star' | 'heart';
    /**
     * <@default=`'medium'`>
     */
    size?: 'small' | 'medium' | 'large';
    onChange?: (newValue: number) => void;
}
export declare const Rating: React.NamedExoticComponent<RatingProps>;
