import React, { DetailedHTMLProps, TextareaHTMLAttributes } from 'react';
import './Textarea.css';
export interface InnerTextareaProps {
    /**
     * <@default=`false`>
     */
    isDisabled?: boolean;
    minRows?: number;
    maxRows?: number;
    label?: string;
    error?: string;
    className?: string;
}
export declare const InnerTextarea: React.NamedExoticComponent<InnerTextareaProps>;
export declare type TextareaProps = InnerTextareaProps & DetailedHTMLProps<TextareaHTMLAttributes<HTMLTextAreaElement>, HTMLTextAreaElement>;
export declare const Textarea: (props: TextareaProps) => JSX.Element;
