import React, { ChangeEvent } from 'react';
import { ToggleIcons } from 'react-toggle';
import './Toggle.css';
export interface ToggleProps {
    /**
     * <@default=`false`>
     */
    isChecked: boolean;
    /**
     * <@default=`false`>
     */
    isDisabled: boolean;
    id: string;
    className: string;
    /**
     * <@default=`'medium'`>
     */
    size: 'small' | 'medium' | 'large';
    /**
     * <@default=`false`>
     */
    icons: boolean | ToggleIcons;
    onChange: (e: ChangeEvent<HTMLInputElement>) => void;
}
export declare const Toggle: React.NamedExoticComponent<ToggleProps>;
