import React, { CSSProperties } from 'react';
import './BulletScreen.css';
export interface BulletScreenComment {
    id: number;
    duration: number;
    startTime: number;
    text: string;
    style?: CSSProperties;
}
export interface BulletScreenProps {
    className?: string;
    comments: BulletScreenComment[];
}
export declare const BulletScreen: React.NamedExoticComponent<BulletScreenProps>;
