import React, { CSSProperties } from 'react';
export interface DividerProps {
    /**
     * <@default=`false`>
     */
    isFaded?: boolean;
    /**
     * <@default=`false`>
     */
    isVertical?: boolean;
    className?: string;
    /**
     * <@default=`100%`>
     */
    width?: string | number;
    /**
     * <@default=`1`>
     */
    height?: string | number;
    /**
     * <@default=`#131518`>
     */
    color?: string;
    style?: CSSProperties;
}
export declare const Divider: React.NamedExoticComponent<DividerProps>;
