import React, { ReactNode } from 'react';
import './InfiniteScroll.css';
export interface InfiniteScrollProps {
    /**
     * <@default=`false`>
     */
    hasMore?: boolean;
    /**
     * Add scroll listeners to the window, or else,
     * the component's parentNode
     *
     * <@default=`false`>
     */
    isWindowUsed?: boolean;
    /**
     * <@default=`200`>
     */
    offset?: number;
    /**
     * <@default=`'div'`>
     */
    element?: string;
    className?: string;
    /**
     * <@default=`<FadingLoader />`>
     */
    loader?: JSX.Element;
    children?: ReactNode;
    loadMore?: () => void;
}
export declare const InfiniteScroll: React.NamedExoticComponent<InfiniteScrollProps>;
