import React, { CSSProperties, ReactNode } from 'react';
import 'react-vertical-timeline-component/style.min.css';
import './Timeline.css';
export interface TimelineProps {
    /**
     * <@default=`true`>
     */
    isAnimated?: boolean;
    className?: string;
    children?: ReactNode;
    layout?: '1-column' | '2-columns';
}
export declare const Timeline: React.NamedExoticComponent<TimelineProps>;
export interface TimelineItemProps {
    date?: string;
    className?: string;
    icon?: JSX.Element;
    iconStyle?: CSSProperties;
    contentStyle?: CSSProperties;
    contentArrowStyle?: CSSProperties;
    children?: ReactNode;
}
export declare const TimelineItem: React.NamedExoticComponent<TimelineItemProps>;
